Name:           girara
Version:        0.2.0
Release:        1%{?dist}
Summary:        Simple user interface library
Group:          Development/Libraries
License:        zlib
URL:            http://pwmt.org/projects/%{name}/
Source0:        http://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.gz
BuildRequires:  gtk3-devel gettext

%description
Girara is a library that implements a user interface that focuses on simplicity
and minimalism.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
CFLAGS='%{optflags}' make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
chmod +x %{buildroot}/%{_libdir}/libgirara-gtk?.so.1.1
# fcami - I wish upstream used a consistent naming scheme
%find_lang lib%{name}-gtk3-1
mv lib%{name}-gtk3-1.lang %{name}.lang
rm -f %{buildroot}/%{_libdir}/libgirara-gtk?.a

%files -f  %{name}.lang
%doc AUTHORS LICENSE README 
%{_libdir}/libgirara-gtk?.so.*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/girara-gtk3.pc
%{_libdir}/libgirara-gtk?.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Mar 05 2014 François Cami <fcami@fedoraproject.org> - 0.2.0-1
* Update to 0.2.0 and switch to gtk3.

* Sat Dec 28 2013 François Cami <fcami@fedoraproject.org> - 0.1.9-1 
- Update to latest upstream.
- Enforce building against gtk2 for now.

* Sat Aug 31 2013 François Cami <fcami@fedoraproject.org> - 0.1.7-1
- Update to latest upstream.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 29 2013 Petr Šabata <contyk@redhat.com> - 0.1.6-2
- Revision bump for f19 updates

* Tue May 21 2013 Petr Šabata <contyk@redhat.com> - 0.1.6-1
- 0.1.6 bump, 1.1 soname bump
- Fix bogus dates in changelog
- Use more macros

* Fri Feb 22 2013 Kevin Fenzi <kevin@scrye.com> 0.1.5-1
- Update to 0.1.5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 François Cami <fcami@fedoraproject.org> - 0.1.4-2
- remove static library [863049]

* Mon Nov 05 2012 Kevin Fenzi <kevin@scrye.com> 0.1.4-1
- Update to 0.1.4

* Tue Aug 21 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-6
- really remove EL5-specific stuff (thanks to Mario B)

* Tue Aug 21 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-5
- make -devel really depend on base package. (thanks to Mario B).
- remove el5 compatibility.

* Sun Aug 19 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-4
- remove LICENSE from -devel; fix debuginfo (thanks to Mario B).

* Sun Aug 12 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-3
- BuildRequires fixes suggested by Dennis Johnson.

* Sat Aug 11 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-2
- fixes suggested by Mario Blättermann.

* Fri Aug 10 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-1
- initial package, needed for zathura.

